package com.malk.yibaoju.entity;

import com.baomidou.mybatisplus.annotation.IdType;
import com.baomidou.mybatisplus.annotation.TableId;
import com.baomidou.mybatisplus.annotation.TableName;
import lombok.Data;

import java.sql.Timestamp;

@Data
@TableName("yida_plan_details")
public class Plan {
    @TableId(type = IdType.AUTO)
    private long id;
    private String dataMonth;
    private String formInstId;
    private String planInstId;
    private String caregiverForm;
    private String caregiverName;
    private String caregiverMember;
    private String caregiverDepartment;
    private String caregiverCard;
    private String caregiverPhone;
    private String department;
    private String careObjectForm;
    private String careObjectName;
    private String careObjectCard;
    private String careObjectLevel;
    private String careObjectAddress;
    private String careObjectLongitude;
    private String careObjectLatitude;
    private String withinTheWeek;
    private Long careStartTime;
    private Long careEndTime;
    private String startTime;
    private String endTime;
    private String signInPhoto;
    private String signInPhotoDown;
    private String signInPhotoName;
    private String signOutPhoto;
    private String signOutPhotoDown;
    private String signOutPhotoName;
    private String signInLongitude;
    private String signInLatitude;
    private Long signInTime;
    private String signInTimeText;
    private String signInPosition;
    private String signOutLongitude;
    private String signOutLatitude;
    private Long signOutTime;
    private String signOutTimeText;
    private String signOutPosition;
    private String signInDistance;
    private String signOutDistance;
    private String executeStatus;
    private String taskStatus;
    private String planId;
    private String careObjectId;
    private String certificateType;
    private String isChoose;
    private String isDelete;
    private String isCogradient;
    private String clockInDate;
    private String clockOutDate;
    private String careDateText;
    private String startTimeText;
    private String endTimeText;
    private Timestamp createTime;
}
