package com.malk.huaxiaojinshu.utils;

import java.security.MessageDigest;
import java.security.NoSuchAlgorithmException;

public class BaseSha256Util {


    /**
     *  sha256 加密
     * @param input
     * @return
     */
    public static String encryptSHA256(String input) {
        try {
            MessageDigest digest = MessageDigest.getInstance("SHA-256");
            byte[] hash = digest.digest(input.getBytes());
            StringBuilder hexString = new StringBuilder();

            for (byte b : hash) {
                String hex = Integer.toHexString(0xff & b);
                if (hex.length() == 1) {
                    hexString.append('0');
                }
                hexString.append(hex);
            }

            return hexString.toString();
        } catch (NoSuchAlgorithmException e) {
            e.printStackTrace();
            return null;
        }
    }


}
